VPS侦探论坛

 找回密码
 注册
搜索
查看: 475|回复: 1

lnmp1.5安装了php7.2也安装了php5.5,请问使用php7.2还需要安装mysql扩展吗?

[复制链接]
发表于 2018-11-20 15:57:51 | 显示全部楼层 |阅读模式

军哥想咨询个问题,
服务器系统:centos6.9 安装了lnmp1.5  同时安装了php7.2和php5.5两个php版本现在的问题是我有个wordpress网站想使用php7.2,据说php7.2不支持mysql链接,请问服务器上安装了php5.5,我还需要再安装mysql扩展吗?原来服务器使用centos7.4  lnmp1.5  php7.2的时候安装个mysql扩展就可以正常使用的,现在的我的疑问是现在的服务器上安装了php5.5,我的理解是不需要安装mysql扩展的,但我想使用php7.2,把网站配置切换到php7.2后网站就不正常了,所以就在想是不是因为使用php7.2没安装mysql扩展的原因,另外如果我安装mysql扩展的话,会不会破坏lnmp原来安装的mysql的稳定性,如果不影响的话我就另外安装一个mysql扩展

[ 本帖最后由 bjwindy 于 2018-11-20 15:59 编辑 ]
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2018-11-21 11:29:28 | 显示全部楼层

php7+版本已经移除mysql扩展,php7以下版本都还有mysql扩展
mysql扩展到mysqli扩展是大势所趋

实在想装的话可以自己下载 http://git.php.net/?p=pecl/database/mysql.git;a=summary 源码,然后自己按php扩展方法进行安装

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2019-7-19 08:35 , Processed in 0.040388 second(s), 26 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表